table {
	&.clickable-rows {
		tr {
			cursor: pointer;
		}
	}

	&.dataTable {
		th {
			font-size: 12px !important;
			opacity: 0.5;
			text-align: left;
			white-space: nowrap;
		}

		// Same size as mobile
		th, td {
			font-size: 13px !important;
		}

		td {
			border-bottom: 1px solid rgba(0, 0, 0, 0.12) !important;
			height: 34px !important;
			padding: 7px 16px !important;
		}

		&.small {
			// font-size: 12px;

			td {
				white-space: nowrap;
			}
		}
	}

	&.scrollable {
		th, td {
			white-space: nowrap;
		}
	}

	&.table-mancamp {
		td {
			padding-left: 0 !important;
			padding-right: 0 !important;
		}
	}

	&.table-first-nowrap {
		tr {
			td:first-child {
				padding-right: 15px;
				white-space: nowrap;
			}
		}
	}

	&.table-second-full {
		tr {
			td:nth-child(2) {
				width: 100%;
			}
		}
	}

	&.small {
		td {
			font-size: 13px;
		}
	}
}

table.custom {
	display: table;

	&,
	td,
	th {
		border: none;
	}

	thead {
		border-bottom: 1px solid #d0d0d0;
	}

	td,
	th {
		padding: 15px 5px;
		display: table-cell;
		vertical-align: middle;
		border-radius: 2px;
	}

	&.bordered > tbody > tr,
	&.bordered > thead > tr {
		border-bottom: 1px solid #d0d0d0;
	}

	&.striped > tbody > tr:nth-child(odd) {
		background-color: #f2f2f2;
	}

	&.striped > tbody > tr > td {
		border-radius: 0;
	}

	&.highlight > tbody > tr {
		transition: background-color 0.25s ease;
	}

	&.highlight > tbody > tr:hover {
		background-color: #f2f2f2;
	}

	&.centered tbody tr td,
	&.centered thead tr th {
		text-align: center;
	}
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td:first-child:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th:first-child:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child:before {
	background-color: #afafaf;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child:before {
	line-height: 17px;
}

table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child:before {
    top: 11px;
    left: 6px;
	border-radius: 0;
}

// .dataTables_wrapper {
// 	padding: 0;
// }

.dataTables_wrapper {
	padding: 0;

	.dataTables_info {
		margin-left: 1rem;
		margin-right: 1rem;
	}
}

table.dataTable, table.dataTable.no-footer {
	margin: 0;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
	border-bottom: 1px solid #ddd;
}
